import React from "react";
import { useState } from "react/cjs/react.development";
import "../../App.css";
import Footer from "../../Footer";
import InputField from "../InputField";
import SubmitField from "../SubmitField";

export default function Login() {
  const [username, setUsername] = useState("");
  const [password, setPassword] = useState("");

  const [message, setMessage] = useState("");

  const onSubmitClick = (e) => {
    e.preventDefault();
    let opts = {
      username: username,
      password: password,
    };
    fetch("/api/register", {
      method: "post",
      body: JSON.stringify(opts),
    }).then((response) => {
      if (response.status === 409) {
        setMessage(response.message)
        console.log(message)
        console.log(response)
      }
    });
  };

  const handleUsernameChange = (e) => {
    setUsername(e.target.value);
  };

  const handlePasswordChange = (e) => {
    setPassword(e.target.value);
  };

  return (
    <>
      <div className="sitePage">
        <h1>Registrierung</h1>
        <form>
          <InputField
            LabelName="Benutzername"
            InputType="text"
            onChange={handleUsernameChange}
            InputName="username"
          />
          <InputField
            LabelName="Passwort"
            InputType="password"
            onChange={handlePasswordChange}
            InputName="password"
          />
          <br />
          <SubmitField onClick={onSubmitClick} LabelName="Einloggen" />
        </form>
      </div>
      <Footer />
    </>
  );
}
